Oracle Linux 6 : libreport (ELSA-2015-2504)

Medium Nessus Plugin ID 87042


The remote Oracle Linux host is missing one or more security updates.


From Red Hat Security Advisory 2015:2504 :

Updated libreport packages that fix one security issue are now available for Red Hat Enterprise Linux 6.

Red Hat Product Security has rated this update as having Moderate security impact. A Common Vulnerability Scoring System (CVSS) base score, which gives a detailed severity rating, is available from the CVE link in the References section.

libreport provides an API for reporting different problems in applications to different bug targets, such as Bugzilla, FTP, and Trac. ABRT (Automatic Bug Reporting Tool) uses libreport.

It was found that ABRT may have exposed unintended information to Red Hat Bugzilla during crash reporting. A bug in the libreport library caused changes made by a user in files included in a crash report to be discarded. As a result, Red Hat Bugzilla attachments may contain data that was not intended to be made public, including host names, IP addresses, or command line options. (CVE-2015-5302)

This flaw did not affect default installations of ABRT on Red Hat Enterprise Linux as they do not post data to Red Hat Bugzilla. This feature can however be enabled, potentially impacting modified ABRT instances.

As a precaution, Red Hat has identified bugs filed by such non-default Red Hat Enterprise Linux users of ABRT and marked them private.

This issue was discovered by Bastien Nocera of Red Hat.

All users of libreport are advised to upgrade to these updated packages, which corrects this issue.


Update the affected libreport packages.

See Also

Plugin Details

Severity: Medium

ID: 87042

File Name: oraclelinux_ELSA-2015-2504.nasl

Version: $Revision: 1.5 $

Type: local

Agent: unix

Published: 2015/11/24

Modified: 2016/04/28

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 5

Temporal Score: 4.1

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:N/A:N

Temporal Vector: CVSS2#E:F/RL:OF/RC:ND

Vulnerability Information

CPE: p-cpe:/a:oracle:linux:libreport, p-cpe:/a:oracle:linux:libreport-cli, p-cpe:/a:oracle:linux:libreport-compat, p-cpe:/a:oracle:linux:libreport-devel, p-cpe:/a:oracle:linux:libreport-filesystem, p-cpe:/a:oracle:linux:libreport-gtk, p-cpe:/a:oracle:linux:libreport-gtk-devel, p-cpe:/a:oracle:linux:libreport-newt, p-cpe:/a:oracle:linux:libreport-plugin-bugzilla, p-cpe:/a:oracle:linux:libreport-plugin-kerneloops, p-cpe:/a:oracle:linux:libreport-plugin-logger, p-cpe:/a:oracle:linux:libreport-plugin-mailx, p-cpe:/a:oracle:linux:libreport-plugin-reportuploader, p-cpe:/a:oracle:linux:libreport-plugin-ureport, p-cpe:/a:oracle:linux:libreport-python, cpe:/o:oracle:linux:6

Required KB Items: Host/local_checks_enabled, Host/OracleLinux, Host/RedHat/release, Host/RedHat/rpm-list

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2015/11/23

Reference Information

CVE: CVE-2015-5302

OSVDB: 129048

RHSA: 2015:2504